# Before `make install' is performed this script should be runnable with
# `make test'. After `make install' it should work as `perl 1.t'

# Does not use Test::More to cut down on the "wide characterin print" spurious
# warnings

#########################


use Roman;
use strict;

BEGIN 
  { if( $] < 5.008) 
      { print "1..1\nok 1\n"; 
        warn "skipping, need perl 5.8.0 at least for numbers > 4000\n";
        exit;
      }
  }

print "1..20\n";
my $test_nb=0;

while( <DATA>)
  { chomp;
    my( $arabic, $roman)= split /:/;
    $roman=~ s{5K}{\x{2181}}g;
    $roman=~ s{10K}{\x{2182}}g;
    is( roman( $arabic), $roman,  "roman( $arabic)= $roman");
    is( arabic( $roman), $arabic, "arabic( $roman)= $arabic");
  }

sub is
  { my( $result, $expected, $name)= @_;
    $test_nb++;
    if( $result eq $expected) { print "ok $test_nb\n"; }
    else { print "nok $test_nb\n"; 
           warn "test $test_nb ($name): expected /$expected/ - got /$result/\n";
         }
  }
  
__DATA__
4000:m5K
4001:m5Ki
4999:m5Kcmxcix
5000:5K
5001:5Ki
9990:m10Kcmxc
9999:m10Kcmxcix
10000:10K
10001:10Ki
39999:10K10K10Km10Kcmxcix
